org.apache.hadoop.hdfs.qjournal.protocol

## Interface QJournalProtocolProtos.StartLogSegmentRequestProtoOrBuilder

- All Superinterfaces:
    com.google.protobuf.MessageLiteOrBuilder, com.google.protobuf.MessageOrBuilder
  All Known Implementing Classes:
    QJournalProtocolProtos.StartLogSegmentRequestProto, QJournalProtocolProtos.StartLogSegmentRequestProto.Builder
  Enclosing class:
    QJournalProtocolProtos

      public static interface QJournalProtocolProtos.StartLogSegmentRequestProtoOrBuilder
      extends com.google.protobuf.MessageOrBuilder

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getLayoutVersion()` `optional sint32 layoutVersion = 3;`
    `QJournalProtocolProtos.RequestInfoProto` | `getReqInfo()` `required .hadoop.hdfs.qjournal.RequestInfoProto reqInfo = 1;`
    `QJournalProtocolProtos.RequestInfoProtoOrBuilder` | `getReqInfoOrBuilder()` `required .hadoop.hdfs.qjournal.RequestInfoProto reqInfo = 1;`
    `long` | `getTxid()` `required uint64 txid = 2;`
    `boolean` | `hasLayoutVersion()` `optional sint32 layoutVersion = 3;`
    `boolean` | `hasReqInfo()` `required .hadoop.hdfs.qjournal.RequestInfoProto reqInfo = 1;`
    `boolean` | `hasTxid()` `required uint64 txid = 2;`

    - ### Methods inherited from interface com.google.protobuf.MessageOrBuilder

      `findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField`

    - ### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

      `isInitialized`

- - ### Method Detail

    - #### hasReqInfo

          boolean hasReqInfo()

      `required .hadoop.hdfs.qjournal.RequestInfoProto reqInfo = 1;`

    - #### getReqInfo

          QJournalProtocolProtos.RequestInfoProto getReqInfo()

      `required .hadoop.hdfs.qjournal.RequestInfoProto reqInfo = 1;`

    - #### getReqInfoOrBuilder

          QJournalProtocolProtos.RequestInfoProtoOrBuilder getReqInfoOrBuilder()

      `required .hadoop.hdfs.qjournal.RequestInfoProto reqInfo = 1;`

    - #### hasTxid

          boolean hasTxid()

      `required uint64 txid = 2;`

           Transaction ID

    - #### getTxid

          long getTxid()

      `required uint64 txid = 2;`

           Transaction ID

    - #### hasLayoutVersion

          boolean hasLayoutVersion()

      `optional sint32 layoutVersion = 3;`

           the LayoutVersion in the client

    - #### getLayoutVersion

          int getLayoutVersion()

      `optional sint32 layoutVersion = 3;`

           the LayoutVersion in the client

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.